Subject: Re: [PATCH] Make 'remote show' distinguish between merged and rebased remote branches

From: Marc Branchaud <[email-masked]>
Date: Wed, 11 Feb 2009 16:35:23 -0500

Jay Soffian wrote:
> 
> The output of git remote show seems much too verbose for the
> information it provides. Something like this, I think, provides the
> same information in much less space:
> 
> * remote origin
>   URL: git://git.kernel.org/pub/scm/git/git.git
>   Remote branches:
>     html      Not tracked
>     maint     Tracked
>     man       Tracked
>     master    Tracked
>     next      Tracked
>     pu        Tracked
>     todo      Not tracked
>     old-next  Stale (would prune)
>   Local branches configured to pull from this remote:
>     master           upstream is master (merges)
>     wip/remote-HEAD  upstream is next   (rebases)

The current test case for 'remote show' (without my rebase patch) is:

* remote origin
  URL: $(pwd)/one
  Remote branch merged with 'git pull' while on branch master
    master
  New remote branch (next fetch will store in remotes/origin)
    master
  Tracked remote branches
    side
    master
  Local branches pushed with 'git push'
    master:upstream
    +refs/tags/lastbackup

Should that last bit about 'git push' change as well (I admit I don't really understand what that part is saying)?  Or should we just be consistent?  Maybe something like:

* remote origin
  URL: $(pwd)/one
  Remote branches:
    master  Tracked
    side    Not tracked
    flip    Tracked
  New remote branch (next fetch will store in remotes/origin)
    master
  Local branches tracking this remote:
    master   upstream is master (merges)
    rebaser  upstream is flip   (rebases)
  Local branches pushed with 'git push'
    master:upstream
    +refs/tags/lastbackup

		M.